stages:
  - verify
  - release

verify:
  stage: verify
  image: quay.io/buildah/stable:latest
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH 
      changes: 
        - src/*
  before_script:
    - dnf install -y make xz git
  script:
    - make generate-sources
    - make build-bin
    - make build-image-verify
  artifacts:
    paths:
      - build/generated-sources/build.log
      - build/generated-sources/manifest.yaml
    expire_in: 1 week
    when: always

release:
  stage: release
  image: quay.io/buildah/stable:latest
  only:
    - tags
  before_script:
    - dnf install -y make xz git
    - buildah login -u "${CI_REGISTRY_USER}" -p "${CI_JOB_TOKEN}" "${CI_REGISTRY}"
    - export IMAGE_NAME="${CI_REGISTRY_IMAGE}"
  script:
    - make generate-sources
    - make build-bin
    - make build-image-release
  artifacts:
    paths:
      - build/generated-sources/build.log
      - build/generated-sources/manifest.yaml
    expire_in: 1 week
    when: always
